package com.example.shooter;

import javafx.geometry.Bounds;
import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;

public class Enemy extends Group {
	
	public Enemy ( double radius ) {
		Circle body = new Circle ( radius );
		body.setFill ( Color.RED );
		
		super.getChildren ( ).add ( body );
	}
	
	public boolean handleCollision ( Bullet bullet ) {
		Bounds bounds = super.getBoundsInParent ( );
		
		return bounds.intersects ( bullet.getBoundsInParent ( ) );
	}
	
}
